## pygeofilter 0.2.4

=== debian/changelog ===
pygeofilter (0.2.4-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Aug 2024 21:39:08 +0200

pygeofilter (0.2.4-1) unstable; urgency=medium

  * Initial release (Closes: #1078084).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 08 Aug 2024 07:03:11 +0000

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pygeofilter
export PYBUILD_TEST_ARGS=\
-k "not test_intersects \
and not test_dwithin \
and not test_beyond \
and not test_spatial \
and not test_fixtures \
and not test_disjoint_linestring_attr \
and not test_contains_attr_polygon \
and not test_within_multipolygon_attr \
and not test_touches_attr_multilinestring \
and not test_crosses_attr_multilinestring \
and not test_overlaps_attr_multilinestring \
and not test_relate_attr_polygon \
and not test_function_no_arg \
and not test_temporal_json" \
--ignore {dir}/tests/backends/elasticsearch/test_evaluate.py \
--ignore {dir}/tests/backends/elasticsearch/test_util.py \
-v {dir}/tests

%:
	dh $@ --buildsystem=pybuild

## pygeofilter 0.3.1

=== docs/requirements.txt ===
sphinxcontrib-apidoc
m2r2

=== debian/changelog ===
pygeofilter (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.
  * debian/patches:
    - Drop 0001-Fix-compatibility-with-i386.patch, applied upstream.
  * debian/rules:
    - Skip tests requiring the unavailable opensearch-dsl Python package.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 03 Jan 2025 16:35:31 +0000

=== debian/control ===
Source: pygeofilter
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               libsqlite3-mod-spatialite <!nocheck>,
               pybuild-plugin-pyproject,
               python3-all,
               python3-dateparser,
               python3-django,
               python3-elasticsearch,
               python3-fiona <!nocheck>,
               python3-geoalchemy2,
               python3-geopandas <!nocheck>,
               python3-gdal <!nocheck>,
               python3-lark,
               python3-pygeoif,
               python3-pyproj <!nocheck>,
               python3-rtree <!nocheck>,
               python3-setuptools,
               python3-shapely,
               python3-sqlalchemy,
               python3-pygml,
               python3-pytest <!nocheck>,
	       python3-pytest-django <!nocheck>
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no
Homepage: https://github.com/geopython/pygeofilter
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pygeofilter
Vcs-Git: https://salsa.debian.org/debian-gis-team/pygeofilter.git
Description: Pure Python parser implementation of OGC filtering  standards
 pygeofilter is a pure Python parser implementation of OGC filtering
 standards. It provides the following features:
 .
  * Parsing of several filter encoding standards
     * CQL as defined in CSW 2.0
     * CQL JSON as defined in OGC API - Features - Part 3: Filtering
       and the Common Query Language (CQL)
     * JSON Filter Expressions (JFE)
     * Soon:
        * CQL Text as defined in OGC API - Features - Part 3: Filtering
          and the Common Query Language (CQL)
        * FES
  * Several backends included
     * Django
     * SQLAlchemy
     * (Geo)Pandas
     * Native Python objects

Package: python3-pygeofilter
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Suggests: python3-django,
          python3-elasticsearch,
          python3-geoalchemy2,
          python3-shapely,
          python3-sqlalchemy,
          python3-pygml
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 and not test_temporal_json" \
 --ignore {dir}/tests/backends/elasticsearch/test_evaluate.py \
 --ignore {dir}/tests/backends/elasticsearch/test_util.py \
+--ignore {dir}/tests/backends/opensearch/test_evaluate.py \
 -v {dir}/tests
 
 %:

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/ \
https://github.com/geopython/pygeofilter/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pygeofilter 0.3.3

=== debian/changelog ===
pygeofilter (0.3.3-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/copyright.
  * Set upstream metadata fields: Security-Contact.
  * debian/control:
    - Update dependencies.
  * debian/rules:
    - Skip tests requiring access to the internet.
  * Update d/python3-pygeofilter.examples.
  * Add a manpage for the pygeofilter CLI tool.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 20 Dec 2025 17:38:28 +0000

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                libsqlite3-mod-spatialite <!nocheck>,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-click,
                python3-dateparser,
                python3-django,
                python3-elasticsearch,
@@ -19,6 +20,7 @@
                python3-lark,
                python3-pygeoif,
                python3-pyproj <!nocheck>,
+               python3-requests <!nocheck>,
                python3-rtree <!nocheck>,
                python3-setuptools,
                python3-shapely,
@@ -26,9 +28,8 @@
                python3-pygml,
                python3-pytest <!nocheck>,
 	       python3-pytest-django <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 Homepage: https://github.com/geopython/pygeofilter
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pygeofilter
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pygeofilter.git

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 --ignore {dir}/tests/backends/elasticsearch/test_evaluate.py \
 --ignore {dir}/tests/backends/elasticsearch/test_util.py \
 --ignore {dir}/tests/backends/opensearch/test_evaluate.py \
+--ignore {dir}/tests/backends/solr/test_evaluate.py \
 -v {dir}/tests
 
 %:
